<mat-expansion-panel [expanded]="false" class="main-expansion">
  <mat-expansion-panel-header class="title">
    <div class="header-container">
      <div *ngIf="status === 'done'">
        {{ 'jobs.completed' | translate }}
      </div>
      <div *ngIf="status === 'aborted'">
        {{ 'jobs.aborted' | translate }}
      </div>
      <div *ngIf="status === 'in progress'">
        {{ 'jobs.inprogress' | translate }}
      </div>
      <button
        mat-button
        *ngIf="(status === 'done' || status === 'aborted') && jobs.length"
        (click)="clearList(status)"
        [matTooltip]="'jobs.clearList' | translate"
      >
        <mat-icon name="clearListIcon" class="icon-size-xxs">close</mat-icon>
      </button>
    </div>
  </mat-expansion-panel-header>
  <mat-card class="card mobileView" *ngFor="let job of jobs"
    ><!--(click)="itemClicked(job)" -->
    <div class="card-item">
      <span class="mobileViewHint">{{ 'jobs.projectname' | translate }}: </span>
      {{ job.projectId | projectName | async }}
    </div>
    <div class="card-item">
      <span class="mobileViewHint">{{ 'jobs.taskType' | translate }}: </span>
      {{ 'jobs.taskTypes.' + job.taskType | translate }}
    </div>
    <div class="card-item">
      <span class="mobileViewHint">{{ 'jobs.times.start' | translate }}: </span>
      {{ job.times.start | date: 'short' }}
    </div>

    <div class="card-item" *ngIf="status === 'done'">
      <span class="mobileViewHint" *ngIf="status === 'done'"
        >{{ 'jobs.times.finish' | translate }}:
      </span>
      {{ job.times.finish | date: 'short' }}
    </div>
    <div class="card-item">
      <span class="mobileViewHint">{{ 'jobs.creator' | translate }}: </span>
      {{ job.requestor ? job.requestor : ('' | userName | async) }}
    </div>
    <div class="card-item">
      <div class="action-container">
        <span class="mobileViewHint">{{ 'jobs.action' | translate }}: </span>
        <div class="icons-container">
          <mat-icon
            name="abortIcon"
            class="icon-size-xs"
            *ngIf="status === 'in progress'"
            (click)="abortJob(job)"
            [matTooltip]="'jobs.abortTask' | translate"
            >delete</mat-icon
          >

          <mat-icon
            name="clearListIcon"
            class="icon-size-xs"
            *ngIf="status === 'done' || status === 'aborted'"
            (click)="clearItemfromList(job)"
            [matTooltip]="'jobs.clearTaskFromList' | translate"
            >close</mat-icon
          >
        </div>
      </div>
    </div>
  </mat-card>

  <table
    mat-table
    [dataSource]="jobs"
    class="mat-elevation-z0"
    *ngIf="jobs.length"
  >
    <ng-container matColumnDef="projectName">
      <th mat-header-cell *matHeaderCellDef>
        {{ 'jobs.projectname' | translate }}
      </th>
      <td mat-cell *matCellDef="let job">
        {{ job.projectId | projectName | async }}
      </td>
    </ng-container>

    <ng-container matColumnDef="taskType">
      <th mat-header-cell *matHeaderCellDef>
        {{ 'jobs.taskType' | translate }}
      </th>
      <td mat-cell *matCellDef="let job">
        {{ 'jobs.taskTypes.' + job.taskType | translate }}
      </td>
    </ng-container>

    <ng-container matColumnDef="startingTime">
      <th mat-header-cell *matHeaderCellDef>
        {{ 'jobs.times.start' | translate }}
      </th>
      <td mat-cell *matCellDef="let job">
        {{ job.times.start | date: 'short' }}
      </td>
    </ng-container>

    <ng-container matColumnDef="expectedEndTIme">
      <th mat-header-cell *matHeaderCellDef>
        <span *ngIf="status === 'done'"
          >{{ 'jobs.times.finish' | translate }}:
        </span>
      </th>
      <td mat-cell *matCellDef="let job">
        {{ job.times.finish | date: 'short' }}
      </td>
    </ng-container>

    <ng-container matColumnDef="userCreator">
      <th mat-header-cell *matHeaderCellDef>
        {{ 'jobs.creator' | translate }}
      </th>
      <td mat-cell *matCellDef="let job">
        {{ job.requestor | userName | async }}
      </td>
    </ng-container>

    <ng-container matColumnDef="action">
      <th mat-header-cell *matHeaderCellDef>{{ 'jobs.action' | translate }}</th>
      <td mat-cell *matCellDef="let job">
        <mat-icon
          name="abortIcon"
          class="icon-size-xs"
          *ngIf="status === 'in progress'"
          (click)="abortJob(job)"
          [matTooltip]="'jobs.abortTask' | translate"
          >delete</mat-icon
        >

        <mat-icon
          name="clearListIcon"
          class="icon-size-xs"
          *ngIf="status === 'done' || status === 'aborted'"
          (click)="clearItemfromList(job)"
          [matTooltip]="'jobs.clearTaskFromList' | translate"
          >close</mat-icon
        >
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr
      mat-row
      *matRowDef="let row; columns: displayedColumns"
      class="table-row"
    ></tr>
    <!-- (click)="itemClicked(row)" -->
  </table>
</mat-expansion-panel>
